From 127fb5e5a766a58a6cc42747635cf7b898bbedee Mon Sep 17 00:00:00 2001
From: Fabio Rodrigues Ribeiro <farribeiro@gmail.com>
Date: Mar 28 2021 22:27:51 +0000
Subject: [PATCH 1/5] Move debug line


---

diff --git a/rtl88x2bu-kmod.spec b/rtl88x2bu-kmod.spec
index 59306ad..f818593 100644
--- a/rtl88x2bu-kmod.spec
+++ b/rtl88x2bu-kmod.spec
@@ -3,6 +3,7 @@
 #global gitdate 20210321
 
 %define buildforkernels akmod
+%global debug_package %{nil}
 
 Name: rtl88x2bu-kmod
 Version: 1.1
@@ -17,8 +18,6 @@ ExclusiveArch: x86_64
 %global AkmodsBuildRequires %{_bindir}/kmodtool, xz, time, elfutils-libelf-devel, gcc, bc
 BuildRequires:  %{AkmodsBuildRequires}
 
-%global debug_package %{nil}
-
 # kmodtool does its magic here
 %{expand:%(kmodtool --target %{_target_cpu} --repo fedora --kmodname %{name} %{?buildforkernels:--%{buildforkernels}} %{?kernels:--for-kernels "%{?kernels}"} 2>/dev/null) }
 

From 66cd0d5636007490c5f0f764c306ecf0b5628557 Mon Sep 17 00:00:00 2001
From: Fabio Rodrigues Ribeiro <farribeiro@gmail.com>
Date: Mar 28 2021 22:27:59 +0000
Subject: [PATCH 2/5] Remove commas


---

diff --git a/rtl88x2bu-kmod.spec b/rtl88x2bu-kmod.spec
index f818593..d5fc9e0 100644
--- a/rtl88x2bu-kmod.spec
+++ b/rtl88x2bu-kmod.spec
@@ -15,7 +15,7 @@ Source0: %{URL}/archive/%{commit}/rtl88x2bu-%{shortcommit}.tar.gz
 
 ExclusiveArch: x86_64
 
-%global AkmodsBuildRequires %{_bindir}/kmodtool, xz, time, elfutils-libelf-devel, gcc, bc
+%global AkmodsBuildRequires %{_bindir}/kmodtool xz time elfutils-libelf-devel gcc bc
 BuildRequires:  %{AkmodsBuildRequires}
 
 # kmodtool does its magic here

From 0980b14e629526c7270d9ac7e4967b634bb1217b Mon Sep 17 00:00:00 2001
From: Fabio Rodrigues Ribeiro <farribeiro@gmail.com>
Date: Mar 28 2021 22:31:27 +0000
Subject: [PATCH 3/5] Fix quotation marks and vars


---

diff --git a/rtl88x2bu-kmod.spec b/rtl88x2bu-kmod.spec
index d5fc9e0..b5afc85 100644
--- a/rtl88x2bu-kmod.spec
+++ b/rtl88x2bu-kmod.spec
@@ -19,7 +19,7 @@ ExclusiveArch: x86_64
 BuildRequires:  %{AkmodsBuildRequires}
 
 # kmodtool does its magic here
-%{expand:%(kmodtool --target %{_target_cpu} --repo fedora --kmodname %{name} %{?buildforkernels:--%{buildforkernels}} %{?kernels:--for-kernels "%{?kernels}"} 2>/dev/null) }
+%{expand:%(kmodtool --target %{_target_cpu} --repo fedora --kmodname %{name} %{?buildforkernels:--%{buildforkernels}} %{?kernels:--for-kernels %"%{?kernels}"} 2>/dev/null) }
 
 %description
 %{summary}.

From 3898aacbdd184d0af1f69e0803458a1fc01c5188 Mon Sep 17 00:00:00 2001
From: Fabio Rodrigues Ribeiro <farribeiro@gmail.com>
Date: Mar 28 2021 22:32:49 +0000
Subject: [PATCH 4/5] Fix name of the module


---

diff --git a/rtl88x2bu-kmod.spec b/rtl88x2bu-kmod.spec
index b5afc85..6f70f61 100644
--- a/rtl88x2bu-kmod.spec
+++ b/rtl88x2bu-kmod.spec
@@ -24,12 +24,12 @@ BuildRequires:  %{AkmodsBuildRequires}
 %description
 %{summary}.
 
-%package -n rtl88x2b
-Summary:        Common package of kernel modules for Realtek RTL8821CE Driver
+%package -n rtl88x2bu
+Summary:        Common package of kernel modules for Realtek RTL88x2BU Driver
 Requires:       %{name} = %{version}-%{release}
 Provides:       %{name}-common = %{version}-%{release}
 
-%description -n rtl88x2b
+%description -n rtl88x2bu
 %{summary}.
 
 %prep
@@ -74,7 +74,7 @@ done
 
 %{?akmod_install}
 
-%files -n rtl88x2b
+%files -n rtl88x2bu
 %license rtl88x2bu-%{commit}/LICENSE
 %doc rtl88x2bu-%{commit}/README.md
 %{_sysconfdir}/depmod.d/kmod-rtl88x2bu.conf

From 62790531c0fc5e5eab6cdd25289139979354ddef Mon Sep 17 00:00:00 2001
From: Fabio Rodrigues Ribeiro <farribeiro@gmail.com>
Date: Mar 28 2021 22:34:33 +0000
Subject: [PATCH 5/5] Add and removes comments


---

diff --git a/rtl88x2bu-kmod.spec b/rtl88x2bu-kmod.spec
index 6f70f61..e2c6910 100644
--- a/rtl88x2bu-kmod.spec
+++ b/rtl88x2bu-kmod.spec
@@ -34,6 +34,7 @@ Provides:       %{name}-common = %{version}-%{release}
 
 %prep
 %{?kmodtool_check}
+#debug print what kmodtool generated
 kmodtool  --target %{_target_cpu} --repo fedora --kmodname %{name} %{?buildforkernels:--%{buildforkernels}} %{?kernels:--for-kernels "%{?kernels}"} 2>/dev/null
 
 %setup -q -c
@@ -45,7 +46,6 @@ for kernel_version  in %{?kernel_versions} ; do
 cp -a rtl88x2bu-%{commit} _kmod_build_${kernel_version%%___*}
 done
 
-#prep
 #setup -q -c -T -a 0
 # echo "/usr/lib/rpm/redhat/find-requires | %{__sed} -e '/^ksym.*/d'" > filter-requires.sh
 echo "override rtl88x2bu * weak-updates/rtl88x2bu" > kmod-rtl88x2bu.conf

